org.eclipse.emf.cdo.transfer.spi.workspace

## Class WorkspaceTransferSystem

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransferSystem
  - - org.eclipse.emf.cdo.transfer.spi.workspace.WorkspaceTransferSystem

-     public class WorkspaceTransferSystem
      extends CDOTransferSystem

  An Eclipse `workspace`-based implementation of a `transfer system`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WorkspaceTransferSystem` | `INSTANCE`
    `static java.lang.String` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkspaceTransferSystem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createBinary(IPath path, java.io.InputStream source, IProgressMonitor monitor)`
    `void` | `createFolder(IPath path)`
    `void` | `createText(IPath path, java.io.InputStream source, java.lang.String encoding, IProgressMonitor monitor)`
    `java.lang.String` | `getDefaultEncoding()`
    `CDOTransferType` | `getDefaultTransferType(CDOTransferElement element)`
    `CDOTransferElement` | `getElement(IPath path)`
    `CDOTransferElement` | `getElement(URI uri)`
    `protected java.lang.String` | `getEncoding(IFile file)`
    `java.lang.String` | `getType()`
    `URI` | `getURI(IPath path)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.cdo.transfer.CDOTransferSystem

      `createModel, getElement, isReadOnly, provideResourceSet, saveModels`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final WorkspaceTransferSystem INSTANCE

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkspaceTransferSystem

          public WorkspaceTransferSystem()

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in class `CDOTransferSystem`

    - #### getDefaultEncoding

          public java.lang.String getDefaultEncoding()

    - #### getEncoding

          protected java.lang.String getEncoding(IFile file)

    - #### getDefaultTransferType

          public CDOTransferType getDefaultTransferType(CDOTransferElement element)

      Overrides:
        `getDefaultTransferType` in class `CDOTransferSystem`

    - #### getURI

          public URI getURI(IPath path)

      Specified by:
        `getURI` in class `CDOTransferSystem`

    - #### getElement

          public CDOTransferElement getElement(IPath path)

      Specified by:
        `getElement` in class `CDOTransferSystem`

    - #### getElement

          public CDOTransferElement getElement(URI uri)

      Specified by:
        `getElement` in class `CDOTransferSystem`

    - #### createFolder

          public void createFolder(IPath path)

      Specified by:
        `createFolder` in class `CDOTransferSystem`

    - #### createBinary

          public void createBinary(IPath path,
                                   java.io.InputStream source,
                                   IProgressMonitor monitor)

      Specified by:
        `createBinary` in class `CDOTransferSystem`

    - #### createText

          public void createText(IPath path,
                                 java.io.InputStream source,
                                 java.lang.String encoding,
                                 IProgressMonitor monitor)

      Specified by:
        `createText` in class `CDOTransferSystem`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html